bdbac 2015

manuel bdbac 2015 >
bdbac 2015

bdbac 2015

Bdbac (pour « base de données du bac ») propose une base de données des sujets de philosophie du baccalauréat depuis 1996, pour toutes les séries générales et technologiques, pour toutes les destinations (métropole, DOM et COM, centres étrangers), pour toutes les sessions. Au 1er septembre 2015, la base comprend 964 sujets complets.

Cette base de données peut être consultée de deux façons :

· en utilisant un logiciel sous Windows téléchargeable qui, une fois installé, n'a besoin d'aucune connexion, sauf pour les mises à jour ;

· en se connectant au site bdbac, qui nécessite par définition une connexion à l'Internet, et ne propose pas encore toutes les fonctions du logiciel (il s'en rapproche de plus en plus, cependant), mais qui est accessible depuis tout appareil disposant d'un navigateur récent : ordinateurs de bureau ou portables, tablettes, smartphones, quel que soit le système d'exploitation.

Les premières versions de Bdbac, à partir de 2001, ont été conçues pour favoriser le travail des commissions d'élaboration des sujets de baccalauréat, soucieuses de ne pas proposer des sujets récemment donnés, et confrontées au très grand nombre de sujets sortant chaque année. Les versions suivantes ont été mises à la disposition des professeurs et des élèves, qui peuvent ainsi puiser dans les sujets déjà sortis de quoi s'entraîner aux épreuves qu'ils préparent. Bdbac, dans ses deux versions, est désormais accessible librement, à l'exclusion de toute exploitation commerciale.

À noter :

Le présent manuel traite de Bdbac 2015 pour Windows. Les utilisateurs de la base en ligne pourront trouver sur le site l'aide dont ils auraient besoin.


caractéristiques

manuel bdbac 2015 > bdbac 2015 >
caractéristiques

Les versions Windows et en ligne de Bdbac ont été complètement remaniées.

La version en ligne propose désormais de multiples critères de recherche, dont certains peuvent être combinés. Elle est accessible à l'adresse http://bdbac.admin.free.fr/bd/ .

Bdbac 2015 facilite plusieurs types de recherches concernant les sujets de philosophie du baccalauréat :

  • la simple consultation ;
  • la vérification de l'existence d'un sujet ou d'un énoncé dans la base ;
  • la recherche de sujets correspondant à une ou plusieurs notions des programmes ;
  • la recherche de sujets comportant un ou plusieurs mots ou expression ;
  • l'édition et l'impression de sujets ou de listes d'énoncés ;
  • la consultation de statistiques portant sur les auteurs, les notions, etc.


nouveautés

manuel bdbac 2015 > bdbac 2015 > caractéristiques >
nouveautés

La version 2015 présente un grand nombre de modifications par rapport aux versions précédentes (la dernière version datait de 2011).

L'interface est désormais paramétrable :

  • affichage ou non de la grille de sujets
  • choix des colonnes à afficher (avec possibilité d'afficher automatiquement l'affichage au type de recherche)
  • affichage des sujets en fonction du type de recherche : sujets complets (questions et textes), questions seules, texte seul
  • choix de la police, de la taille de police, et de la taille des marges pour l'affichage des sujets

Ces paramètres sont conservés d'une session sur l'autre.

L'interface comporte trois zones bien distinctes : sujets, grille, panneaux de recherche. La plupart des fenêtres des versions antérieures ont été intégrées à la fenêtre principale.

La recherche par notions a été simplifiée : il suffit de choisir les notions recherchées dans une liste intégrée à la fenêtre principale.

Par rapport aux versions précédentes, ces différentes fonctions sont d'un usage plus aisé. Des bugs ont été supprimés. L'interface est désormais paramétrable (les paramètres sont conservés d'une session sur l'autre).

Un éditeur de sujets est intégré à Bdbac 2015, et permet d'enregistrer ou d'imprimer les sujets (un seul sujet, la délection, ou la totalité de la base).

Bdbac 2015 gère désormais les majuscules accentuées. Les utilisateurs des versions précédentes doivent être attentifs à cette modifications . Les sujets, les noms d'auteurs, les notions, les destinations ont été modifiés en ce sens : on trouvera désormais dans la base "État", "SÉNÈQUE", "MÉTROPOLE", etc.

© 2015 eduscol


installation

manuel bdbac 2015 > bdbac 2015 >
installation

Bdbac en ligne ne nécessite aucune installation de logiciel ou de « plug-in ». En principe, tous les navigateurs actuels permettent d'y accéder, que l'on soit sous Windows, Linux, iOS, Android, Symbian, etc.

Bdbac 2015 pour Windows nécessite une installation, et une connexion durant la durée de l'installation. Par la suite, une connexion n'est nécessaire que lors des mises à jour.

L'installation s'effectue à l'aide d'un fichier exécutable, setup.exe, téléchargeable depuis le site à l'adresse

http://bdbac.admin.fr/bdbac2015/publish.htm :

Cliquer sur le bouton Installer pour lancer le téléchargement de setup.exe Il est conseillé d'enregistrer ce fichier dans un emplacement pouvant être aisément retrouvé comme, par exemple, le bureau Windows.

Il est possible qu'un message d'alerte s'affiche lors du téléchargement, mettant en garde contre une éventuelle dangerosité du fichier. Ce message, qui s'affiche au téléchargement de tout fichier exécutable (*.exe) doit être ignoré : choisissez conserver.

Cliquer sur setup.exe lance l'installation. Choisissez exécuter, p uis installer.

Sur les versions récentes de Windows, le téléchargement des fichiers nécessaires à l'installation et l'installation elle-même sont très rapides. Avec des versions plus anciennes, il peut être nécessaire de charger des fichiers complémentaires, ce qui peut prendre un peu ou beaucoup de temps (en particulier s'il est nécessaire de télécharger une version du "framework" qui permet aux programmes créés sous Visual Studio de fonctionner).

Le logiciel crée automatiquement un raccourci sur le bureau Windows.A la fin de l'installation, Bdbac 2015 s'ouvre automatiquement.


mises à jour

manuel bdbac 2015 > bdbac 2015 >
mises à jour

Lorsqu'une mise à jour est disponible, elle est automatiquement proposée au lancement de Bdbac 2015. Il suffit de choisir OK dans la boîte de dialogue qui s'affiche.Il est conseillé de toujours faire les mises à jour proposées : elles comportent de nouveaux sujets, des corrections et des améliorations du logiciel.

Lorsqu'il est choisi d'ignorer la mise à jour, celle-ci n'est plus proposée jusqu'à la parution d'une nouvelle version. Il est cependant possible de vérifier en cours d'utilisation la présence d'une mise à jour, et de l'installer : dans le menu paramètres , l'onglet "à propos" comporte un bouton de mise à jour. Il suffit de suivre les instructions jusqu'au redémarrage de Bdbac 2015.


désinstallation

manuel bdbac 2015 > bdbac 2015 >
désinstallation

La désinstallation s'effectue à partir du panneau de configuration. Choisir programmes et fonctionnalités. Bdbac 2015 apparaît dans la liste des programmes installés. Il suffit d'effectuer un double-clic, puis de choisir supprimer l'application de cet ordinateur.


l'interface

manuel bdbac 2015 >
l'interface

L'interface de Bddbac 2015 a été fortement modifiée par rapport aux versions antérieures. Par défaut, l'affichage de la fenêtre occupe tout l'écran. Les principales fonctions de consultation, de recherche et de sélection sont simples et ne nécessitent pas d'explications particulières.

La plupart de ces fonctions sont accessibles à partir de la fenêtre principale, divisée en plusieurs zones :

Le sujet sélectionné et la grille sont synchronisées : lorsqu'on clique sur un sujet présent dans la grille, il s'affiche dans la partie haute. Réciproquement, lorsque l'on navigue dans la base à l'aide des touches de navigation, les sujets correspondants sont sélectionnés dans la grille.

La ligne de séparation entre sujet et grille peut être déplacée vers le haut ou vers le bas.

Par défaut, l'affichage s'adapte au type de recherche effectuée. Lorsque la recherche porte sur des questions, les questions de chaque sujet sont affichées en grille. Lorsque la recherche porte sur des textes, les textes seuls s'affichent.

Il est cependant possible d'afficher les trois sujets, quelle que soit la recherche. Dans le menu affichage des sujets, situé en bas à droite de la fenêtre, il suffit de cocher toujours afficher les trois énoncés.

La police d'affichage des sujets et sa taille peuvent être réglées, ainsi que la dimension des marges entourant les sujets. La consultation des sujets est ainsi facilitée lorsque le logiciel occupe tout l'écran, et que les lignes de textes s'étirent. Dans le menu affichage des sujets, cliquer sur polices et marges . Dans la boîte de dialogue paramètres qui s'affiche, choisir la police d'affichage et fixer la taille des caractères et la largeur des marges à l'aide des curseurs.


l'affichage des sujets

manuel bdbac 2015 > l'interface >
l'affichage des sujets

Les sujets sont affichés dans la partie supérieure gauche de la fenêtre principale, avec plusieurs nouveautés :

1° le cartouche comportant le code, l'année, la série, la destination et la session est situé directement sous les énoncés, pour une meilleure lisibilité ;

2° les sujets sont maintenant présentés avec les notions des programmes auxquelles ils peuvent être liés ;

A la différence du contenu même des sujets et des autres informations fournies, ce rattachement à une ou plusieurs notions n'a qu'une valeur indicative : les sujets retenus doivent avoir un lien direct avec une ou plusieurs notions du programme, mais ce lien n'est pas précisé dans le sujet lui-même. L'indication des notions auxquelles un sujet est liée n'a donc aucun caractère officiel, comporte nécessairement une part de subjectivité, et vise simplement à faciliter la recherche.

3° l'affichage par défaut change selon le type de recherche : ne sont affichés que les énoncés (questions et textes, questions seules, textes seuls) sur lesquels portent la recherche. Il est cependant possible de demander l'affichage des trois énoncés des sujets complets quelle que soit la recherche : dans le menu affichage des sujets, cocher toujours afficher les trois énoncés.

Lorsque la recherche porte sur les questions, les deux questions d'un même sujet sont affichées côte-à-côte, bien qu'une seule d'entre elles, la plupart du temps, corresponde aux critères de recherche sélectionnés : il est souvent intéressant de savoir avec quel autre énoncé une question a été associée. Pour obtenir la liste des seules questions correspondant à la recherche, deux possibilités sont offertes :

  • le bouton situé en-dessous des questions affiche par défaut "les deux énoncés". Un clic affiche les seuls sujets n° 1 correspondant à la recherche, une second clic fait de même pour les sujets n° 2, en boucle ;
  • un second bouton, éditer les questions, ouvre une nouvelle fenêtre dans laquelle seuls les sujets correspondant à la recherche sont affichés. Lorsque les sujets sélectionnés sont nombreux, l'affichage peut prendre du temps. Les sujets peuvent être triés à partir de n'importe quel champ, en cliquant sur l'en-tête de ce champ, alternativement par ordre alphanumérique direct et inverse.

Lorsqu'une partie du texte du troisième sujet est sélectionnée avec la souris, le nombre de caractères sélectionnés s'affiche au bas de la zone d'affichage.

À noter :

  • ce réglage est conservé lorsque Bdbac 2015 est fermé. Pour revenir à la configuration initiale, décocher toujours afficher les trois énoncés.
  • pour réinitialiser complètement Bdbac 2015 ,aller dans le menu paramètres et choisir affichage > général > restaurer les paramètres par défaut. Cette commande est également accessible par le menu affichage des sujets.


polices et marges

manuel bdbac 2015 > l'interface >
polices et marges

La police et la marge des sujets peuvent être modifiées. Cela permet, en particulier, d'ajuster l'affichage des sujets lorsque Bdbac 2015 est utilisé en plein écran, et que l'affichage d'une ligne très longue rendrait la lecture difficile. Augmenter la marge et la taille de la police, modifier la police elle-même procure un plus grand confort de lecture. Ces réglages sont groupés dans les paramètres : choisir le type d'affichage à modifier et régler avec les listes déroulantes et les curseurs la police, la taille de police et la marge. Le résultat s'affiche immédiatement, sauf pour l'onglet affichage > général , qui propose un aperçu avant de modifier tous les modes d'affichage des sujets.

À noter :

  • certaines polices, bien qu'elles s'affichent, ne sont pas gérées par les programmes conçus sous Visual Studio. Un message d'erreur les signale :
  • ces réglages sont conservés lorsque Bdbac 2015 est fermé. Pour revenir à la configuration initiale, cliquer à nouveau sur affichage des sujets > police et marge, et choisir le réglage police par défaut et marges par défaut.


l'affichage de la grille

manuel bdbac 2015 > l'interface >
l'affichage de la grille

La grille peut être affichée ou masquée, ce qui permet de gagner le la place pour afficher le sujet en cours. Aller dans le menu affichage de la grille, et choisir, selon le cas, afficher la grille ou masquer la grille.

Il est également possible d'afficher la grille sur toute la hauteur de la fenêtre. Aller dans le menu affichage de la grille, et choisir, selon le cas, étendre la grille ou réduire la grille.

Toutes les colonnes ne sont pas affichées en permanence. Il est possible de choisir entre plusieurs modes d'affichage des colonnes, ou de choisir une par une les colonnes à afficher. Cliquer sur le menu affichage de la grille.

La police et la taille de caractères de la grille peuvent être ajustées en utilisant le menu affichage de la grille > police...

Le même menu propose également divers mode d'affichage des colonnes, s'adaptant à la recherche en cours.

À noter :

  • cliquer sur l'en-tête d'une colonne trie les sujets selon le contenu de cette colonne par ordre alphanumérique, alternativement ascendant et descendant
  • certaines polices, bien qu'elles s'affichent, ne sont pas gérées par les programmes conçus sous Visual Studio. Un message d'erreur les signale
  • les réglages de police sont conservés lorsque Bdbac 2015 est fermé. Pour revenir à la configuration initiale, cliquer à nouveau sur affichage des sujets > police et marge, et choisir le réglage police par défaut
  • en revanche, les choix d'affichage des colonnes, qui peuvent varier avec chaque recherche, ne sont pas conservés.


navigation et recherche

manuel bdbac 2015 >
navigation et recherche
  • Les fonctions de navigation permettent de consulter, selon le cas, la totalité de la base ou les diférents sujets sélectionnés
  • les fonctions de recherche sélectionnent les sujets selon différents critères qui peuvent être combinés


la navigation

manuel bdbac 2015 > navigation et recherche >
la navigation

Quatre modes de navigation sont proposés :

  • avec les boutons de navigation inclus dans la barre de navigation : premier sujet sélectionné, sujet précédent, sujet suivant, dernier sujet
  • en entrant un numéro de sujet dans la barre de navigation (ce numéro dot évidemment être déjà connu)
  • en utilisant la grille : il suffit de cliquer dans un enregistrement de la grille, et de faire défiler les enregistrements avec les flèches haut et bas du clavier
  • en choisissant un sujet au hasard avec le bouton représentant un dé. Ce dernier mode de recherche n'a d'intérêt que lorsque la base entière ou un grand nombre de sujets sont sélectionnés.


la recherche de sujets

manuel bdbac 2015 > navigation et recherche >
la recherche de sujets

Les commandes de recherche sont regroupées pour l'essentiel dans le panneau situé à droite de la fenêtre, le long du menu.

Deux types de recherche sont proposés :

  • recherche par code : c'est le mode de recherche et de sélection le plus rapide, mais il suppose que l'on ait connaissance au moins partiellement du code du ou des sujets recherchés
  • recherche par critères combinés : tous les éléments caractéristiques d'un ou de plusieurs sujets peuvent être combinés

Dans tous les cas, un trait vertical placé à leur droit signale les critères de recherche utilisés :

  • aucun trait : le critère n'est pas utilisé
  • trait gris foncé : le critère est utilisé
  • trait rouge : plusieurs valeurs sont sélectionnées pour un même critères (par exemple plusieurs destinations)
  • trait gris clair : les listes permettant les sélections nmultiples sont affichées, mais aucun critère n'est encore sélectionné


recherche par code

manuel bdbac 2015 > navigation et recherche > la recherche de sujets >
recherche par code

La recherche par code est très rapide : comme la grande majorité des codes récents est construite sur le même modèle, il est possible d'entrer directement les caractéristiques principales des sujets recherchés.

Pour lancer la recherche par code, il suffit d'entrer les caractères recherchés (voir ci-dessous) : la recherche par critères est aussitôt désactivée. Pour l'activer à nouveau, effacer les caractères déjà entrés (le bouton "X" les efface d'un coup).

La plupart des codes sont construits sur ce modèle :

Année :

  • 2chiffres

Discipline :

  • "PH" pour la philosophie (parfois "P" seulement, en combinaison avec "TSTMD", par exemple "11PTSTMDLR1")

Série :

  • L : "LI" (pour "littéraire")
  • ES : "ES"
  • S : "SC" (pour "scientifique")
  • Séries technologiques : "TE" ou parfois "TSTMD" (pour "tout sauf TMD")
  • TMD (techniques de la musique et de la danse) : "MI"
  • STI AA (arts appliqués) : "AA" (jusqu'en 2006)

Destination :

  • Métropole : "ME" (ou "MLR" pour "métropole + La Réunion")
  • La Réunion : "LR" (ou "MLR" pour "métropole + La Réunion")
  • Antilles-Guyane : "AG"
  • Nouvelle-Calédonie : "NC"
  • Polynésie : "PO"
  • Amérique du nord : "AN"
  • Amérique du sud : "AS"
  • Inde : "IN"
  • Japon : "JA"
  • Liban : "LI"
  • Etranger groupe 1 : "EG1"
  • Groupement étranger I-IV : "G14"
  • Groupement étranger II-III : "G23"

auxquels il faut ajouter

  • les sujets réservés aux sportifs de haut niveau ("SHN") jusqu'en 1999
  • des destinations occasionnelles : Espagne, Israël, Tunisie...

Session :

  • Normale : 1
  • Remplacement : 3
  • Sujet de secours : 2

Ainsi, entrer "11PHLIPO1" permet de trouver très rapidement le sujet donné en 2011 en Polynésie en série littéraire à la session normale.

Ce type de recherche convient particulièrement à la recherche rapide de sujets dont veut s'assurer qu'ils sont bien présents dans la base, ou dont on connaît même partiellement l'affectation, et dont on peut donc retrouver partiellement le code.

  • entrer "12PH" permet de trouver tous les sujets donnés en 2012 ;
  • entrer "LINC" permet de retrouver tous les sujet donnés en série L en Nouvelle-Calédonie, etc.

À noter :

  • S'il n'est pas nécessaire de rentrer le code entier, les caractères doivent se suivre : "12LI" ne trouvera rien, "12PHLI" trouvera tous les sujets de L de 2012 ;
  • la recherche s'effectue à mesure que des caractères sont entrés, supprimés ou modifés ;
  • la zone de saisie est configurée pour que les lettres soient saisies en majuscules, même si le clavier est en minuscules
  • pour faciliter la saisie sur les ordinateurs portables dépourvus de clavier numérique, les chiffres sont saisis même lorsque le clavier est en minuscules : "1" au lieu de "&", "2" au lieu de "é", etc.


recherche par critères

manuel bdbac 2015 > navigation et recherche > la recherche de sujets >
recherche par critères

La recherche par critères permet de choisir et de combiner les critères liés à l'affectation des sujets (années, séries, destinations, sessions) et des critères de contenu : mots ou expressions, notions des programmes auxquelles les sujets sont associés.

La recherche par critères s'active lorsque la zone de texte de recherche par code est vide : cliquer sur le bouton "X " pour la vider.

La recherche est actualisée chaque fois qu'un critère est modifié.

Même si chaque modification des critères se répercute immédiatement sur la recherche, quel que soit l'ordre des modifications, il est conseillé, lors d'une recherche par critères, de suivre l'ordre proposé par la zone de recherche :

  1. choix du type de sujets : questions et textes, questions, textes (d'un auteur)
  2. choix du type de recherche : expression, ou notions
  3. choix de l'étendue de la recherche : années, séries, destinations, sessions


type de sujets

manuel bdbac 2015 > navigation et recherche > la recherche de sujets > recherche par critères >
type de sujets

Toute recherche par critères commence par le choix du type de sujets recherchés :

  • questions et textes (les trois énoncés d'un sujet complet)
  • questions seules (les deux premiers sujets)
  • textes seuls (le "troisième sujet")
  • textes d'un auteur

Le fait de choisir le nom d'un auteur dans la liste déroulante lance automatiquement la recherche de textes. Inversement, choisir de rechercher les questions ou les sujets complets fait porter la recherche sur 'tous les auteurs".

L'affichage des sujets s'adapte automatiquement au type de sujets recherché. Il est possible

  • d'afficher toujours les trois sujets : menu affichage des sujets > toujours afficher les trois énoncés
  • d'adapter l'affichage de la grille à la recherche : menu affichage de la grille > selon le type de recherche

À noter :

  • le mot "sujet" est employé soit pour désigner un sujet complet, soit pour désigner l'un des trois "énoncés" proposés au choix du candidat qui, ensemble, composent ce sujet complet
  • le fait de "double-cliquer" sur le nom d'un auteur écrit en gris sélectionne tous les textes de cet auteur
  • le bouton "réinitialiser" en bas de la zone de recherche permet d'annuler tous les paramètres d'une recherche


type de recherche

manuel bdbac 2015 > navigation et recherche > la recherche de sujets > recherche par critères >
type de recherche

Deux types de recherches portant sur le contenu des sujets sont proposés :

  • recherche de sujets contenant un ou plusieurs mots ou expressions
  • recherche de sujets portant sur une ou plusieurs notions

Les deux types de recherche peuvent donner des résultats voisins, mais obéissent à des principes différents. Par définition, la recherche de chaînes de caractères ne trouve que ce qui est présent dans les sujets eux-mêmes. Les notions, en revanche, ne sont pas nécessairement présentes dans les sujets eux-mêmes : un sujet sur la justice ne contient pas nécessairement le mot justice, ni juste, etc., mais peut en revanche inviter à s'interroger sur la vengeance, ou sur l'égalité.

Les instructions officielles insistent sur le fait que les sujets doivent avoir un rapport clair avec une ou plusieurs notions du programme, mais il n'est pas demandé que ces notions soient précisées : le choix des notions que propose Bdbac 2015 comporte donc inévitablement une part de subjectivité.

Il faut également noter que les sujets donnés avant 2005 (séries technologiques) ou 2003 (séries générales) correspondent à des programmes différents de ceux actuellement en vigueur. Certains de ces sujets sont donc liés à des notions qui ont disparu des programmes, signalées par des accolades : {imagination}, {sens}, etc. Ils ne pourraient plus être donnés aujourd'hui.


recherche de mots ou expressions

manuel bdbac 2015 > navigation et recherche > la recherche de sujets > recherche par critères > type de recherche >
recherche de mots ou expressions

Il suffit d'entrer une chaîne de caractères dans la zone de texte pour que les sujets qui la contiennent, s'il y en a, soient sélectionnés. La recherche se fait à mesure que des caractères sont entrés ou supprimés.

La recherche porte sur des chaînes de caractères, non sur des mots entiers. Ce fonctionnement a pour inconvénient de sélectionner des chaînes de caractères sans rapport avec le contenu recherché : taper "loi" sélectionne tous les sujets comportant "vouloir", "éloignement", etc. Mais il a l'avantage de sélectionner les mots d'une même famille : taper "lib" permet de sélectionner les sujets comportant "libre", "libres", "liberté", "libération", "libère", etc.

Lorsqu'une chaîne est entrée, sa première occurrence dans le premier sujet qui la comporte est surlignée. Lorsque la recherche porte sur les textes seuls ou les sujets complets, un icône à côté des boutons de navigation indique le nombre d'occurrences dans le sujet texte affiché. Cliquer sur ce bouton surligne l'occurrence suivante, en boucle.

Un double-clic sur un mot d'un des sujets affichés ajoute ce mot aux termes recherchés.

Il est possible d'effectuer une recherche sur plusieurs chaînes de caractères séparées par une espace. Ces chaînes de caractères peuvent ne pas être contigues (sauf quand l'option "l'expression exacte" est sélectionnée). Ainsi, taper "jus lib" permet de sélectionner tous les textes comportant au moins une occurrence de "jus", "juste", "justice", "injuste", etc. et au moins une occurrence de "libre", "liberté", etc.

À noter :

  • tous les textes en capitales et toutes les majuscules de début de phrase sont désormais accentués ;
  • cela rapproche un peu Bdbac 2015 des exigences typographiques de l'Imprimerie nationale, mais permet surtout de meilleures recherches. Les recherches effectuées dans Bdbac 2015 ne sont pas sensibles à la casse, mais sont sensibles aux accents : "état" trouve aussi "État" (mais ne trouverait pas "Etat") ; "étant" trouvera aussi "Étant" en début de phrase, de même "à propos" trouvera "À propos" en début de phrase ;
  • c'est principalement pour cette raison que les expressions recherchées sont automatiquement passées en minuscules : les accents peuvent ainsi être entrés facilement, et leur absence est immédiatement visible.
© 2015 eduscol


les options de recherche

manuel bdbac 2015 > navigation et recherche > la recherche de sujets > recherche par critères > type de recherche > recherche de mots ou expressions >
les options de recherche

La recherche de mots ou d'expressions comporte trois options :

  • tous les termes : sont sélectionnés les sujets comportant au moins une occurrence de chacune des chaînes de caractères séparées par une espace. "jus lib" sélectionne tous les sujets comportant "jus" ET "lib". Plus le nombre de chaînes est élevé, plus le nombre de sujets tend à diminuer
  • au moins un terme : sont sélectionnés les sujets comportant au moins une occurrence d'une au moins des chaînes de caractères. "jus lib" sélectionne tous les sujets comportant "jus" ET tous les sujets comportant "lib". Plus le nombre de chaînes est élevé, plus le nombre de sujets tend à augmenter. Ce
  • l'expression exacte : sont sélectionnés les sujets comportant la chaîne de caractères telle qu'elle est entrée. Les espaces ne constituent pas des séparateurs de chaînes. L'expression ne comporte pas nécessairement des mots entiers : "jus lib " risque de ne rien trouver ; "ur des in" trouvera "L'Etat doit-il viser le bonheur des individus ?"

À noter :

Lorsque la recherche porte sur des questions, le bouton situé tout à dans la barre de navigation permet d'alterner entre plusieurs affichage :

  • les deux énoncés (affichage par défaut) : les deux questions d'un même sujet sont affichées sur la même ligne. La plupart du temps, un seul des deux sujets correspond aux termes recherchés
  • les sujets 1 ou les sujets 2 : seuls sont affichés les sujets 1 ou 2 correspondant aux termes recherchés
  • cette modification rapproche le texte des sujets des règles typographiques fixées par l'Imprimerie nationale, mais elle a surtout l'avantage d'inclure dans les recherches des expressions quelle que soit leur casse : quand les majuscules ne sont pas accentuées, il faut deux recherches différentes
© 2015 eduscol


recherche de notions

manuel bdbac 2015 > navigation et recherche > la recherche de sujets > recherche par critères > type de recherche >
recherche de notions

La recherche de notions s'active en cliquant sur le bouton radio "des notions". La recherche d'expressions est alors désactivée, et la zone de recherche d'expressions vidée.

Un panneau s'ouvre, contenant l'ensemble des notions des programmes actuels, par ordre alphabétique, suivi de notions présentes dans les programmes antérieurs auxquels correpondent des sujets donnés avant 2003 (séries générales) ou 2005 (séries technologiques). Il est possible de sélectionner plusieurs notions. Comme pour la recherche d'expressions, la sélection se fait instantanément.

Le bouton "réinitialiser" décoche toutes les notions auparavant sélectionnées, ce qui a pour effet que les sujets sont sélectionnés indépendamment des notions associées, ce qui équivaut à sélectionner "toutes les notions", mais laisse la liste des notions ouverte.

Le bouton "toutes les notions" a le même effet, mais ferme aussi la liste des notions.

À noter :

  • un double-clic sur l'une des notions associées à un sujet (notions affichées en gris) ajoute cette notion à la liste des notions recherchées
  • cliquer avec le bouton droit sur les notions associées à un sujet (notions affichées en gris) permet d'ajouter toutes ces notions à la liste des notions recherchées
© 2015 eduscol


les options de recherche

manuel bdbac 2015 > navigation et recherche > la recherche de sujets > recherche par critères > type de recherche > recherche de notions >
les options de recherche

Deux options sont proposées :

  • toutes les notions : sont sélectionnés les sujets associés à toutes les notions cochées
  • au moins une notion : sont sélectionnés les sujets associés à l'une au moins des notions cochées

Comme pour la recherche d'expressions, lorsque le nombre de notions cochées augmente, la première option tend à diminuer le nombre de sujets sélectionnés, la seconde à les augmenter : il y a vraisemblablement moins de sujets associés à "DROIT" ET "LIBERTÉ", qu'à "DROIT" ; et moins de sujets associés à "DROIT" qu'à "DROIT" OU "LIBERTÉ".

© 2015 eduscol


étendue de recherche

manuel bdbac 2015 > navigation et recherche > la recherche de sujets > recherche par critères >
étendue de recherche

L'étendue de recherche fixe les années, les séries, les destinations et les sessions sur lesquelles porte la recherche. Pour les trois premiers critères, plusieurs valeurs peuvent être recherchées simultanément :

  • année : une fois l'année choisie, cocher éventuellement "depuis" pour afficher les sujets donnés depuis l'année sélectionnée
  • série et destination : le choix peut porter sur une série ou sur une destination, ou sur plusieurs. Dans ce dernier cas, des listes à cocher s'affichent. Comme pour les notions, le bouton "réinitialiser" supprime les critères mais laisse les listes affichées ; les boutons "toutes les séries" et "toutes les destinations" suppriment ces critères et ferment les listes
  • session : un seul choix est possible

Au bas de la zone de recherche, le bouton "réinitialiser" supprime tous les critères de recherche et affiche toute la base.

À noter :

  • un double-clic sur l'année, la série ou la destination affichées dans le cartouche lance une recherche sur le critère sélectionné (par exemple la série L ou l'année 2013).


édition et copie

manuel bdbac 2015 >
édition et copie

Bdbac 2015 permet d'utiliser les sujets présents dans la base en les copiant dans le presse-papier Windows ou en les éditant dans un fichier au format .rtf, .txt ou html.

Le format .rtf (pour Rich Text Format) est lisible par tous les traitements de texte. Les sujets peuvent ainsi être enregistrés, modifiés, imprimés, sauvegardés au format .pdf, etc.


la copie de sujets

manuel bdbac 2015 > édition et copie >
la copie de sujets

La copie des sujets sélectionnés peut s'effectuer de deux façons :

  • dans le menu édition : choisir copier, et le type de sujets à copier : sujet complet, questions, ou textes
  • dans chaque énoncé, un clic droit ouvre les différentes fonctions de recherche et de sélection à l'intérieur de cet énoncé. Dans la grille des questions ou dans celle qui affiche les sujets complets, l'énoncé à copier doit d'abord être sélectionné

Les éléments sélectionnés sont copiés dans le presse-papier. Il suffit ensuite de les coller (touches CTRL + V) dans un éditeur de texte.


l'édition des sujets

manuel bdbac 2015 > édition et copie >
l'édition des sujets

Bdbac 2015 intègre un éditeur de textes, acessible par le menu édition , qui permet d'exporter les sujets selon plusieurs options.

Cet éditeur est disponible sous deux formes :

  • l'éditeur général, utilisable avec tous les sujets pour éditer un sujet complet, une sélection de sujets ou la base complète. Lorsque des sujets complets sont édités, ou lorsque les questions sont édités, tous les sujets ne correspondent pas nécessairement aux critères retenus ;
  • l'éditeur de questions, qui ne retient que les questions correspondant aux critères retenus.


l'éditeur général

manuel bdbac 2015 > édition et copie > l'édition des sujets >
l'éditeur général

Par défaut, l'éditeur affiche le sujet sélectionné avec les trois énoncés (les deux questions et le texte), l'en-tête ("sujet n° 1", etc., les consignes accompagnant le sujet (variables selon les séries), et les références du sujet, et propose d'enregistrer ou d'imprimer ce sujet.

Des options successives permettent

  • de choisir le type de sujets (questions et/ou texte)
  • de choisir les éléments figurant dans le sujet : en-tête, consignes, références
  • de choisir les sujets à traiter : le sujet affiché, la sélection, l'ensemble de la base

Lorsque l'édition porte sur plusieurs sujets, seules les références peuvent être incluses.

Lorsque la sélection comporte de nombreux sujets, ou lorsque l'édition porte sur toute la base, le traitement des sujets peut prendre plusieurs minutes (avec 947 sujets, l'édition de la totalité de la base demande plus de 480 pages). Un message d'avertissement le signale.

À noter :

Trois formats d'enregistrement sont proposés

  • format *.rtf, utilisable avec n'importe quel traitement de texte. Ce format permet de sauvegarder les enrichissements du texte (italiques, gras...)
  • format *.html, pour consultation dans un navigateur web
  • format *.txt, sans enrichissements, utilisable dans n'importe quel éditeur de texte (bloc-notes Windows, Notepad++, etc.)


l'éditeur de questions

manuel bdbac 2015 > édition et copie > l'édition des sujets >
l'éditeur de questions

Pour utiliser l'éditeur de questions, il faut

  1. lancer une recherche sur les questions
  2. ouvrir le menu édition, puis éditer les questions
  3. dans la fenêtre questions sélectionnées, cliquer sur éditer

Il est possible d'ajouter le cartouche de chaquee sujet, ou de n'éditer que les sujets eux-mêmes. Au démarrage de la fenêtre, seul le premier sujet est affiché. Cliquer sur lancer l'édition pour afficher tous les sujets sélectionnés.

Une fois l'édition terminée, le fichier peut être imprimé ou enrégistré au format .rtf, .txt ou .html.


autres fonctions

manuel bdbac 2015 >
autres fonctions

Bdbac 2015 propose également d'autres fonctions :

  • fonctions de gestion : accessibles grâce à un mot de passe, elles permettent de modifier la base de données ;
  • fonctions statistiques ;
  • liens vers des sites Internet


statistiques

manuel bdbac 2015 > autres fonctions >
statistiques

Des statistiques sont disponibles, concernant les auteurs, les séries, etc.

Le menu statistiques affiche une fenêtre comportant les principales données. Le menu éditer de cette fenêtre permet d'enregistrer l'ensemble des statistiques disponibles au format *.xls

A noter :

  • la constitution du fichier *.xls peut prendre plusieurs minutes.


liens internet

manuel bdbac 2015 > autres fonctions >
liens internet

Le menu web fournit des liens vers le site bdbac et vers les principaux textes réglementaires parus au Bulletin officiel de l'Education nationale concernant l'enseignement de la philosophie en terminale et les épreuves du baccalauréat.


gestion

manuel bdbac 2015 > autres fonctions >
gestion

Les fonctions de gestion sont accessibles par un mot de passe.

  • les boutons d'édition des sujets : ajouter, supprimer, enregistrer s'affichent
  • tous les champs modifiables (sauf le code) s'affichent sur fond coloré, alternativement rose et vert, et sont munis d'un menu contextuel proposant tous les items pouvant être entrés
  • un double-clic sur un item déjà entré permet de le supprimer
  • un bouton permet de trouver les sujets incomplets
  • un bouton permet d'accéder aux répertoires principaux de l'application et, en particulier, à la base de données, qui peut être copiée
  • le bouton verrouillage met fin à la gestion des sujets